import React from 'react';
import PropTypes from 'prop-types';
import { Cloud, Icon, Patchy } from './components';
import Sunny from './Sunny';

var Cloudy = function Cloudy(_ref) {
  var patchy = _ref.patchy,
      size = _ref.size;
  return React.createElement(
    Icon,
    { size: size },
    React.createElement(Cloud, { key: 'cloud' }),
    patchy ? React.createElement(
      Patchy,
      null,
      React.createElement(Sunny, null)
    ) : React.createElement(Cloud, null)
  );
};

Cloudy.propTypes = process.env.NODE_ENV !== "production" ? {
  /** Icon Sun */
  size: PropTypes.number,
  /** Display Sun */
  patchy: PropTypes.bool
} : {};

Cloudy.defaultProps = {
  patchy: false,
  size: 1
};

export default Cloudy;