import React from 'react';
import PropTypes from 'prop-types';
import Sunny from './Sunny';
import { Cloud, Snowing, Icon, Patchy } from './components';

var Snow = function Snow(_ref) {
  var patchy = _ref.patchy,
      size = _ref.size;
  return React.createElement(
    Icon,
    { size: size },
    React.createElement(Cloud, null),
    patchy && React.createElement(
      Patchy,
      null,
      React.createElement(Sunny, null)
    ),
    React.createElement(Snowing, null)
  );
};

Snow.propTypes = process.env.NODE_ENV !== "production" ? {
  /** Icon size */
  size: PropTypes.number,
  /** Display Sunny */
  patchy: PropTypes.bool
} : {};

Snow.defaultProps = {
  patchy: false,
  size: 1
};

export default Snow;