'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _components = require('./components');

var _Sunny = require('./Sunny');

var _Sunny2 = _interopRequireDefault(_Sunny);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Rain = function Rain(_ref) {
  var lighting = _ref.lighting,
      patchy = _ref.patchy,
      size = _ref.size;
  return _react2.default.createElement(
    _components.Icon,
    { size: size },
    _react2.default.createElement(_components.Cloud, null),
    patchy && _react2.default.createElement(
      _components.Patchy,
      null,
      _react2.default.createElement(_Sunny2.default, null)
    ),
    lighting ? _react2.default.createElement(_components.Lighting, null) : _react2.default.createElement(_components.Drops, null)
  );
};

Rain.propTypes = process.env.NODE_ENV !== "production" ? {
  /** Icon size */
  size: _propTypes2.default.number,
  /** Display Bolts */
  lighting: _propTypes2.default.bool,
  /** Display Sun */
  patchy: _propTypes2.default.bool
} : {};

Rain.defaultProps = {
  lighting: false,
  patchy: false,
  size: 1
};

exports.default = Rain;
module.exports = exports['default'];